Bug 25089 - After upgrading 6->7, askpass dialog is x11 one, no more the qt5 one
Summary: After upgrading 6->7, askpass dialog is x11 one, no more the qt5 one
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 7
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact:
URL:
Whiteboard: MGA7-64-OK
Keywords: advisory, validated_update
Depends on:
Blocks:
 
Reported: 2019-07-10 13:32 CEST by papoteur
Modified: 2019-07-21 20:18 CEST (History)
3 users (show)

See Also:
Source RPM: openssh-askpass-qt5
CVE:
Status comment:


Attachments

Description papoteur 2019-07-10 13:32:18 CEST
After upgrading 6->7, askpass dialog is x11 one, no more the qt5 one.

rpm -qa|grep askpass
openssh-askpass-qt5-2.1.0-3.mga7
openssh-askpass-common-8.0p1-1.mga7
openssh-askpass-8.0p1-1.mga7

ls -lsa /usr/libexec/openssh
total 836
4 drwxr-xr-x 2 root root 4096 juil. 7 23:35 ./
12 drwxr-xr-x 32 root root 12288 juil. 9 16:41 ../
0 lrwxrwxrwx 1 root root 29 juil. 7 23:35 ssh-askpass -> /etc/alternatives/ssh-askpass*
440 -rws--x--x 1 root root 449664 mai 1 15:49 ssh-keysign*
328 -rwxr-xr-x 1 root root 332008 mai 1 15:49 ssh-pkcs11-helper*
52 -rwxr-xr-x 1 root root 49768 mai 1 15:49 x11-ssh-askpass*

ls -lsa /etc/alternatives/ssh-askpass
0 lrwxrwxrwx 1 root root 36 juil. 7 23:35 /etc/alternatives/ssh-askpass -> /usr/libexec/openssh/x11-ssh-askpass

urpmi --replacepkgs openssh-askpass-qt5


http://ftp.free.fr/mirrors/mageia.org/distrib/7/x86_64/media/core/release/openssh-askpass-qt5-2.1.0-3.mga7.x86_64.rpm
installation de openssh-askpass-qt5-2.1.0-3.mga7.x86_64.rpm depuis /var/cache/urpmi/rpms
Préparation... ##############
1/1: openssh-askpass-qt5 #################

Same result.
papoteur 2019-07-10 13:32:57 CEST

See Also: (none) => https://bugs.mageia.org/show_bug.cgi?id=18748

Johnny A. Solbu 2019-07-10 13:42:03 CEST

CC: (none) => cooker

Rémi Verschelde 2019-07-10 14:07:34 CEST

Assignee: bugsquad => kde

Comment 1 David GEIGER 2019-07-12 14:53:31 CEST
Please test with new updated openssh-askpass-qt5-2.1.0-3.1.mga7 in Core/Updates_testing repo!

CC: (none) => geiger.david68210

Comment 2 David GEIGER 2019-07-12 17:19:21 CEST
Assigning to QA now,


Advisory:
========================

Our current openssh-askpass-qt5 package doesn't work properly, it is not called with update-alternatives as it should on a Qt based system.
So this update fixes this issue.

After the update you should get something like:

# ls -l /etc/alternatives/ssh-ask*
lrwxrwxrwx 1 root root 36 juil. 12 17:10 /etc/alternatives/ssh-askpass -> /usr/libexec/openssh/qt5-ssh-askpass*
#

========================

Packages in 7/core/updates_testing:
========================
openssh-askpass-qt5-2.1.0-3.1.mga7.i586.rpm
openssh-askpass-qt5-2.1.0-3.1.mga7.x86_64.rpm

Source RPM: 
========================
openssh-askpass-2.1.0-3.1.mga7.src.rpm

Assignee: kde => qa-bugs

Comment 3 David GEIGER 2019-07-12 19:43:17 CEST

Packages in 6/core/updates_testing:
========================
openssh-askpass-qt5-2.0.3-1.1.mga6.i586.rpm
openssh-askpass-qt5-2.0.3-1.1.mga6.x86_64.rpm

Source RPM: 
========================
openssh-askpass-2.0.3-1.1.mga6.src.rpm

Whiteboard: (none) => MGA6TOO,

Comment 4 papoteur 2019-07-13 08:42:14 CEST
Previously, I had the x11 window for askpass, altough was installed.
Installed openssh-askpass-qt5-2.1.0-3.1.mga7.x86_64.rpm
on Mageia 7 
Reboot.
The new window (not really a window) is now launched with konsole.
Thus OK !
David Walser 2019-07-13 20:31:05 CEST

Whiteboard: MGA6TOO, => MGA6TOO MGA7-64-OK

Comment 5 Rémi Verschelde 2019-07-19 10:15:22 CEST
Works fine for me too on Mageia 7 x86_64.
Comment 6 Rémi Verschelde 2019-07-19 10:19:14 CEST
Advisory uploaded, validating.

Keywords: (none) => advisory, validated_update
Whiteboard: MGA6TOO MGA7-64-OK => MGA7-64-OK
CC: (none) => sysadmin-bugs

Comment 7 Mageia Robot 2019-07-21 20:18:32 CEST
An update for this issue has been pushed to the Mageia Updates repository.

https://advisories.mageia.org/MGAA-2019-0071.html

Status: NEW => RESOLVED
Resolution: (none) => FIXED


Note You need to log in before you can comment on or make changes to this bug.